import { JavaObject } from '../../../java/lang/JavaObject';
export declare class GostStatistikFachwahlHalbjahr extends JavaObject {
    wahlenGKMuendlich: number;
    wahlenGKSchriftlich: number;
    wahlenGK: number;
    wahlenZK: number;
    wahlenLK: number;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostStatistikFachwahlHalbjahr;
    static transpilerToJSON(obj: GostStatistikFachwahlHalbjahr): string;
    static transpilerToJSONPatch(obj: Partial<GostStatistikFachwahlHalbjahr>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostStatistikFachwahlHalbjahr(obj: unknown): GostStatistikFachwahlHalbjahr;
